curl --request POST \
--url https://api.getsly.ai/v1/v1/refunds \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"originalTransferId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reason": "duplicate_payment",
"amount": 123,
"reasonDetails": "<string>"
}
'{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"original_transfer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": "<string>",
"currency": "<string>",
"reason": "duplicate_payment",
"status": "pending",
"created_at": "2023-11-07T05:31:56Z",
"reason_details": "<string>",
"refund_transfer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"completed_at": "2023-11-07T05:31:56Z"
}
}Initiate a refund against a completed transfer. Omit amount for full refund. Multiple partial refunds per transfer are supported as long as the cumulative total ≤ original amount. Always send X-Idempotency-Key.
curl --request POST \
--url https://api.getsly.ai/v1/v1/refunds \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"originalTransferId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reason": "duplicate_payment",
"amount": 123,
"reasonDetails": "<string>"
}
'{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"original_transfer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": "<string>",
"currency": "<string>",
"reason": "duplicate_payment",
"status": "pending",
"created_at": "2023-11-07T05:31:56Z",
"reason_details": "<string>",
"refund_transfer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"completed_at": "2023-11-07T05:31:56Z"
}
}API key (pk_test_* or pk_live_), JWT session, agent token (agent_), Ed25519 session (sess_), or portal token (portal_).
Refund initiated
Show child attributes